List all letters
GET
/api/v2/channels/{{channel}}/letters
List or search through newsletters based on their publication status or keywords.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” channel
required
string
Query Parameters
Section titled “Query Parameters ” filter
string
Example
6Publication status of results to include (1 = published; 2 = scheduled; 4 = review; 6 = all statuses)
keyword
string
Optional keyword by which to search results
letterUuid
string
Filter results to include only the letter matching the specified UUID.
limit
string
Example
10Number of results to return
includePrivate
string
Example
trueWhether to include newsletters marked “private.”
page
string
Example
1Paginated page number
passport
string
Example
falseWhether to authenticate with a passport rather than an API key
api
string
Example
falseWhen true, instructs the endpoint that you’re authenticating with an organization key as opposed to some other method. In almost all cases you will want to set this value to true.
Responses
Section titled “ Responses ”List all letters
Media type application/json
object
items
Array<object>
object
campaignId
string
copyRendered
string
createdAt
string
deletedAt
emailServiceProvider
number
emailTemplate
string
id
number
includePromotions
boolean
insights
object
readability
object
ease
number
time
string
private
boolean
promotions
string
publicationDate
string
publicationDateOffset
string
publicationDateTzCode
string
publicationEvent
number
publicationStatus
number
publishIntent
string
sections
string
segmentId
number
segmentName
string
slug
string
specialBanner
string
subtitle
string
title
string
uniqueId
string
updatedAt
string
total
number
Examples
Example List all letters
{ "items": [ { "campaignId": "6cuswtvr7p", "copyRendered": "", "createdAt": "2022-09-14 19:54:12", "deletedAt": null, "emailServiceProvider": 3, "emailTemplate": "<!--The full html of the email -->", "id": 4991, "includePromotions": true, "insights": { "readability": { "ease": 86, "time": "1 minute read" } }, "private": false, "promotions": "", "publicationDate": "2023-09-20 12:00:00", "publicationDateOffset": "-05:00", "publicationDateTzCode": "America/New_York", "publicationEvent": 0, "publicationStatus": 2, "publishIntent": "email", "sections": "[{ /* the newsletter as javascript */ }]", "segmentId": 0, "segmentName": "Entire Audience", "slug": "", "specialBanner": "", "subtitle": "Yes it is", "title": "This is a scheduled newsletter", "uniqueId": "6cuswtvr7p", "updatedAt": "2022-09-14 19:54:12" } ], "total": 292}Headers
Section titled “Headers ” Access-Control-Allow-Credentials
string
Example
true Access-Control-Allow-Origin
string
Example
* Access-Control-Max-Age
string
Example
86400 Cache-Control
string
Example
no-cache, private Connection
string
Example
keep-alive Date
string
Example
Thu, 22 Sep 2022 02:34:04 GMT Server
string
Example
nginx/1.14.0 (Ubuntu) Transfer-Encoding
string
Example
chunkedStill can’t find what you need? Contact support.